# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:db2_instance).provide(:db2) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Db2::Commands

  desc 'Manage an Db2 instance'

  mk_resource_methods
end
