# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:db2_object_grant).provide(:db2) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Db2::Commands

  confine :feature => :db2_running

  desc 'Manage DB2 object grants'

  mk_resource_methods
end
