# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:allow_restart) do
  include EasyType

  desc <<-DESC
  Allow puppet to do a restart of the database.

  Determine if you will allow Puppet to do a restart of the database if it detects that
  a restart is required to activate some changes.
  DESC

  defaultto(:false)

  data_type('Boolean')
end
