# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:fence_home) do
  include EasyType

  desc <<-DESC
  The home of the fence user to be created. The fence user and home will only be created (or removed when instance set to absent)
  when the parameter `manage_user` is set to `true.`
  DESC

  data_type('Optional[Stdlib::AbsolutePath]')
end
