# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:fence_uid) do
  include EasyType

  desc <<-DESC
  The uid of the fence user to be created. The fence user will only be created (or removed when instance set to absent)
  when the parameter `manage_user` is set to `true.`
  DESC

  data_type('String[1]')
end
