# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::InstanceProperty) do
  include EasyType
  include EasyType::Mungers::Downcase

  desc <<-DESC
  SYSCTRL group name.
  DESC

  def self.translate_to_resource(raw_resource)
    super&.downcase
  end

  data_type('Optional[Variant[String[1],Integer]]')
end
