# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  A tag to identify data stored in this table space. Valid user-specified range is 1 through 9;
  0 indicates no data tag specified; -1 indicates value is inherited from the storage group that
  the table space uses.

  DESC

  data_type('Optional[Integer]')
end
