# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  The tye of owner.
  - S = The owner is the system
  - U = The owner is an individual user
  DESC

  data_type('Optional[Variant[String[1],Integer]]')
end
