# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Identifier of the storage group the table space is using; -1 when the table space is not using automatic storage.
  DESC

  data_type('Optional[Integer]')
end
