# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Type of table space.
  - D = Database-managed space
  - S = System-managed space
  DESC

  data_type('Optional[Variant[String[1],Integer]]')
end
