# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType

  desc <<-DESC
    The name of the Pacemaker cluster.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('Domain name')
  end

  data_type('String[1]')
end
