# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nodes, :array_matching => :all) do
  include EasyType
  include EasyType::ArrayProperty

  desc <<-DESC
  The node that are part of the Pacemaker instance.

  This is a read-only property and cannot be changed.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('Nodes')
  end

  data_type('Array[String[1]]')
end
