# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:db2_group).provide(:db2) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Db2::Commands

  confine :feature => :db2_running

  desc 'Manage an Db2 group'

  mk_resource_methods
end
