# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:fence_user) do
  include EasyType

  desc <<-DESC
    The name of the fence user to be created. The fence user will only be created (or removed when instance set to absent)
    when the parameter `manage_user` is set to `true.`
  DESC

  data_type('Optional[Variant[String[1],Integer]]')
end
