# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:manage_users) do
  include EasyType

  desc <<-DESC
  If set to `true`  the db2_instance type manages the instance and fence users. When an instance is created, Puppet
  will create the user(s). If the isstance is set to `absent`, Puppet will remove the user(s)
  DESC

  data_type('Boolean')
  defaultto :true
end
