# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::InstanceProperty) do
  include EasyType

  desc <<-DESC
  Max number of client connection.
  DESC

  def self.translate_to_resource(raw_resource)
    value = super
    value == 'MAX_COORDAGENTS' ? -1 : value
  end

  data_type('Optional[Variant[String[1],Integer]]')
end
