# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:grantee_type) do
  include EasyType

  desc <<-DESC
    The type of grantee that

    This parameter is extracted from the title of the type. It is separated by the object by a `/`.

        db2_object_grant { 'SCOTT->sys.dbms_aqin@SID':
          ...
        }


  DESC

  isnamevar
  data_type("Enum['ROLE','USER', 'GROUP']")
end
