# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::SchemaProperty) do
  include EasyType
  include EasyType::Mungers::Upcase

  desc <<-DESC
      Detailed documentation not (yet) available.
  DESC

  on_modify do
    fail "#{self.name} is a readonly property. You cannot modify it"
  end

  on_create do
    "authorization #{value}"
  end

  data_type('Optional[Variant[String[1],Integer]]')
end
