# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Indicates whether or not tables in this table space can be recovered after a drop table operation.
  - N = Tables are not recoverable
  - Y = Tables are recoverable
  DESC

  data_type('Optional[Variant[String[1],Integer]]')
end
