# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Size (in bytes) of pages in this table space.
  DESC

  key 'Page size (bytes)'

  data_type('Optional[Integer]')
end
