# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Number of pages of size PAGESIZE to be read when prefetching is performed; -1 when AUTOMATIC.
  DESC

  data_type('Optional[Integer]')
end
