# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Time to read one page of size PAGESIZE into the buffer. (average for the containers in this table space);
   -1 when value is inherited from the storage group that the table space uses.
  DESC

  data_type('Optional[Float]')
end
