# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:user_name) do
  include EasyType
  include EasyType::Mungers::Upcase

  desc <<-DESC
    The name of the db2 user.
  DESC

  isnamevar

  data_type('String[1]')
end
