# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:expected_number_of_rows) do
  include EasyType

  desc <<-DESC
  The expected number of rows. If a different number of rows is returned, Puppet will throw an error or a warning.
  DESC

  data_type('Integer[0]')
end
