# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:version) do
  include EasyType

  desc <<-DESC
  The pacemaker version. This is a read-only property.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource['version']
  end

  data_type('Optional[String[1]]')
end
