# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:managed) do
  include EasyType

  desc <<-DESC
  The managed state of the Pacemaker instance.

  This is a read-only property and cannot be changed.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('Managed') == 'true'
  end

  data_type('Boolean')
end
