# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:state) do
  include EasyType

  desc <<-DESC
  The state of the Pacemaker resource. This is a read-only property.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('State')
  end

  data_type('Optional[String[1]]')
end
